Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.query
Class SelectMap

    java.lang.Object
      com.sun.mdm.index.query.SelectMap

class SelectMap
extends java.lang.Object

This class contains a map of Object names and all the fields to be selected in the query. When this object is created, it will also add the primary key to the map if not already selected in the selectFields list. So it guarantees that a key field will always be retrieved in the query and that helps in Object Assembling later in the Assembling process. Currently this Map is used only by MultiQueryParser (for multiple queries).

Constructor Summary
`(package private)` | `SelectMap(java.util.HashSet selectObjects, QualifiedField[] selectFields)` Creates a new instance of SelectMap

Method Summary
`(package private) java.util.ArrayList` | `getExtraKeyColumns(java.lang.String object)`
`(package private) java.util.ArrayList` | `getFields(java.lang.String object)`
`(package private) java.util.ArrayList` | `getKeyFields(java.lang.String object)`
`(package private) java.util.ArrayList` | `getKeyIndices(java.lang.String object)`
`(package private) QPath` | `getQPath(java.lang.String object)`
`(package private) void` | `setQPath(java.lang.String object, QPath qpath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectMap

    SelectMap(java.util.HashSet selectObjects,
              QualifiedField[] selectFields)

  Creates a new instance of SelectMap

  Parameters:
    `selectObjects` - The different objects that needs to be retrieved.
    `selectFields` - The fields corresponding to selectObjects.

Method Detail

### getExtraKeyColumns

    java.util.ArrayList getExtraKeyColumns(java.lang.String object)

### getFields

    java.util.ArrayList getFields(java.lang.String object)

### getKeyFields

    java.util.ArrayList getKeyFields(java.lang.String object)

### getKeyIndices

    java.util.ArrayList getKeyIndices(java.lang.String object)

### getQPath

    QPath getQPath(java.lang.String object)

### setQPath

    void setQPath(java.lang.String object,
                  QPath qpath)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.